NSX-T Data Center REST API

Create Tier1 service instance endpoint

Create Tier1 service instance endpoint with given request if not exist.
Modification of Tier1 service instance endpoint is not allowed.

Request:

Method:
PUT
URI Path(s):
/policy/api/v1/infra/tier-1s/{tier-1-id}/locale-services/{locale-service-id}/byod-service-instances/{service-instance-id}/service-instance-endpoints/{service-instance-endpoint-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
ServiceInstanceEndpoint+

Example Request:

PUT https://<policy-mgr>/policy/api/v1/infra/tier-1s/TLR1/locale-services/default/byod-service-instances/BYOD_PSI_1/service-instance-endpoints/SIE_1 { "target_ips": [ { "ip_addresses": [ "135.1.1.1" ], "prefix_length": 24 } ], "endpoint_type":"LOGICAL", "service_interface_path":"/infra/tier-1s/TLR1/locale-services/default/service-interfaces/SITF_1" }

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
ServiceInstanceEndpoint+

Example Response:

{ "resource_type" : "ServiceInstanceEndpoint", "id" : "SIE_1", "display_name" : "SIE_1", "path" : "/infra/tier-1s/TLR1/locale-services/default/byod-service-instances/BYOD_PSI_1/service-instance-endpoints/SIE_1", "parent_path" : "/infra/tier-1s/TLR1/locale-services/default/byod-service-instances/BYOD_PSI_1", "relative_path" : "SIE_1", "marked_for_delete" : false, "endpoint_type" : "LOGICAL", "target_ips" : [ { "ip_addresses" : [ "135.1.1.1" ] } ], "service_interface_path" : "/infra/tier-1s/TLR1/locale-services/default/service-interfaces/SITF_1", "_create_time" : 1524826554351, "_last_modified_user" : "admin", "_system_owned" : false, "_protection" : "NOT_PROTECTED", "_last_modified_time" : 1524826554351, "_create_user" : "admin", "_revision" : 0 }

Required Permissions:

crud

Feature:

policy_si

Additional Errors: